/*

Arquivo:

   input.hpp

Descrio:

   Contm funes para a manipulao de dados de entrada, inclusive a linha
 de comando.

Excees:

   --> AllocationError        : lanada quando h falha na alocao de memria

*/

//
// Defines
//
#define NULL_WORD             0

//
// Excees
//
namespace Input {
  class AllocationError { };
};

//
// Funes
//
extern void InitInput();
extern void DeInitInput();
extern char* GetWord();
